Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.type
Class ValidationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.transform.TransformerException
                  net.sf.saxon.trans.XPathException
                      net.sf.saxon.type.ValidationException

All Implemented Interfaces:
  Serializable, SourceLocator, Locator

    public class ValidationException

extends XPathException
implements SourceLocator, Locator

This exception indicates a failure when validating an instance against a type defined in a schema.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.saxon.trans.XPathException
`XPathException.Circularity`

Constructor Summary
`ValidationException(Exception exception)` Creates a new ValidationException with the given nested exception.
`ValidationException(String message)` Creates a new ValidationException with the given message.
`ValidationException(String message, Exception exception)` Creates a new ValidationException with the given message and nested exception.
`ValidationException(String message, SourceLocator locator)` Create a new ValidationException from a message and a Locator.

Method Summary
`int` | `getColumnNumber()`
`String` | `getConstraintClauseNumber()` Get the constraint clause number
`String` | `getConstraintName()` Get the constraint name
`String` | `getConstraintReference()` Get the constraint name and clause in the format defined in XML Schema Part C (Outcome Tabulations).
`String` | `getConstraintReferenceMessage()` Get the constraint reference as a string for inserting into an error message.
`int` | `getConstraintSchemaPart()` Get the "schema part" component of the constraint reference
`int` | `getLineNumber()`
`SourceLocator` | `getLocator()`
`String` | `getPublicId()`
`String` | `getSystemId()`
`void` | `setColumnNumber(int column)`
`void` | `setConstraintReference(int schemaPart, String constraintName, String clause)` Set a reference to the constraint in XML Schema that is not satisfied
`void` | `setLineNumber(int line)`
`void` | `setLocator(Locator locator)`
`void` | `setPublicId(String id)`
`void` | `setSourceLocator(SourceLocator locator)`
`void` | `setSystemId(String id)`
`String` | `toString()` Returns the String representation of this Exception

Methods inherited from class net.sf.saxon.trans.XPathException
`getErrorCodeLocalPart, getErrorCodeNamespace, getErrorObject, hasBeenReported, isTypeError, makeStatic, setErrorCode, setErrorCode, setErrorObject, setHasBeenReported, setIsTypeError`

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidationException

    public ValidationException(String message)

  Creates a new ValidationException with the given message.

  Parameters:
    `message` - the message for this Exception

### ValidationException

    public ValidationException(Exception exception)

  Creates a new ValidationException with the given nested exception.

  Parameters:
    `exception` - the nested exception

### ValidationException

    public ValidationException(String message,
                               Exception exception)

  Creates a new ValidationException with the given message and nested exception.

  Parameters:
    `message` - the detail message for this exception
    `exception` - the nested exception

### ValidationException

    public ValidationException(String message,
                               SourceLocator locator)

  Create a new ValidationException from a message and a Locator.

  Parameters:
    `message` - The error or warning message.
    `locator` - The locator object for the error or warning.

Method Detail

### setConstraintReference

    public void setConstraintReference(int schemaPart,
                                       String constraintName,
                                       String clause)

  Set a reference to the constraint in XML Schema that is not satisfied

  Parameters:
    `schemaPart` - - 1 or 2, depending whether the constraint is in XMLSchema part 1 or part 2
    `constraintName` - - the short name of the constraint in XMLSchema, as a fragment identifier in the HTML of the XML Schema Part 1 specification
    `clause` - - the clause number within the description of that constraint

### getConstraintReferenceMessage

    public String getConstraintReferenceMessage()

  Get the constraint reference as a string for inserting into an error message.

  Returns:
    the reference as a message, or null if no information is available

### getConstraintSchemaPart

    public int getConstraintSchemaPart()

  Get the "schema part" component of the constraint reference

  Returns:
    1 or 2 depending on whether the violated constraint is in XML Schema Part 1 or Part 2; or -1 if there is no constraint reference

### getConstraintName

    public String getConstraintName()

  Get the constraint name

  Returns:
    the name of the violated constraint, in the form of a fragment identifier within the published XML Schema specification; or null if the information is not available.

### getConstraintClauseNumber

    public String getConstraintClauseNumber()

  Get the constraint clause number

  Returns:
    the section number of the clause containing the constraint that has been violated. Generally a decimal number in the form n.n.n; possibly a sequence of such numbers separated by semicolons. Or null if the information is not available.

### getConstraintReference

    public String getConstraintReference()

  Get the constraint name and clause in the format defined in XML Schema Part C (Outcome Tabulations). This mandates the format validation-rule-name.clause-number

  Returns:
    the constraint reference, for example "cos-ct-extends.1.2"; or null if the reference is not known.

### toString

    public String toString()

  Returns the String representation of this Exception

  Overrides:
    `toString` in class `Throwable`
  Returns:
    the String representation of this Exception

### getPublicId

    public String getPublicId()

  Specified by:
    `getPublicId` in interface `SourceLocator`
  Specified by:
    `getPublicId` in interface `Locator`

### getSystemId

    public String getSystemId()

  Specified by:
    `getSystemId` in interface `SourceLocator`
  Specified by:
    `getSystemId` in interface `Locator`

### getLineNumber

    public int getLineNumber()

  Specified by:
    `getLineNumber` in interface `SourceLocator`
  Specified by:
    `getLineNumber` in interface `Locator`

### getColumnNumber

    public int getColumnNumber()

  Specified by:
    `getColumnNumber` in interface `SourceLocator`
  Specified by:
    `getColumnNumber` in interface `Locator`

### setPublicId

    public void setPublicId(String id)

### setSystemId

    public void setSystemId(String id)

### setLineNumber

    public void setLineNumber(int line)

### setColumnNumber

    public void setColumnNumber(int column)

### setLocator

    public void setLocator(Locator locator)

### setSourceLocator

    public void setSourceLocator(SourceLocator locator)

### getLocator

    public SourceLocator getLocator()

  Overrides:
    `getLocator` in class `TransformerException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.